#32/64
%define name colorname
%define version 0.4
%define release %mkrel 2

Summary:   Utility to associate a name to a color
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv2
Group:     Graphics
Source:    http://code.foosel.org/files/%{name}-%{version}.tar.xz
Source1:   %{name}.png
URL:       http://code.foosel.org/colorname
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils
BuildArch: noarch
Requires: python >= 2.6
Requires: pygtk2.0
Requires: gnome-python
 


%description
Colorname tries to assign a name to a color using external color definitions and a little math.

For this it calculates the euclidean distance between the currently selected color and all 
predefined colors, either in the YIQ, RGB or HSV color space. 

%prep
%setup -q -n %{name}-%{version}

%build
#nobuild

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}
install -m 755 %{name}.py %{buildroot}/%{_bindir}/%{name}
chmod +x %{buildroot}%{_bindir}/%{name}

install -dm 755 %buildroot/%{_datadir}/%{name}
install -m 644 colorname-colors/*.txt %buildroot/%{_datadir}/%{name}

# icon
install -dm 755 %buildroot/%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Colorname
Comment=Utility to associate a name to a color.
Exec=%{name}
Icon=%{name}
Categories=Graphics;Utility;GTK;X-MandrivaLinux-Multimedia-Graphics;
EOF


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-, root, root)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Aug 16 2013 billybot <billybot> 0-4-2pclos2013
- update python 2.7

* Fri Mar 22 2013 Ken <lxgator at gmail.com> 0.4-1pclos2013
- initial build

